Bug 86592 - COLOR PICKER: Custom color picker doesn't allow selecting HSB
Summary: COLOR PICKER: Custom color picker doesn't allow selecting HSB
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords: regression
Depends on:
Blocks: Color-Picker-Dialog
  Show dependency treegraph
 
Reported: 2014-11-22 21:37 UTC by Yousuf Philips (jay) (retired)
Modified: 2014-12-29 23:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (26.55 KB, image/png)
2014-12-07 12:32 UTC, tommy27
Details
color picker from 4.3 (41.05 KB, image/png)
2014-12-09 10:14 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-22 21:37:17 UTC
When you open the custom color picker, it displays the Hue color palette by it wrongly has both Red and Hue selected, when only 1 of these RGB and HSB radio buttons should be active at the same time. Then when try to select Saturation or Brightness, it acts like Red was selected and wont change to the other HSB palettes.
Comment 1 Tomaz Vajngerl 2014-11-22 22:22:12 UTC
Yup I see the same..
Comment 2 Yousuf Philips (jay) (retired) 2014-12-07 08:58:34 UTC
This is a regression as it worked correctly in 4.3 daily.

Version: 4.3.4.0.0+
Build ID: 81e4dbe1adf196ee20f1a4bfbc50b54abfc79f4b
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-10-27_14:09:41
Comment 3 tommy27 2014-12-07 12:32:58 UTC
Created attachment 110533 [details]
screenshot

adding screenshot from 4.5.0.0.alpha0+
Build ID: 6b096f273ac9d7bbe93d2cb083958b3a04866d73
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-04_22:57:23
Comment 4 Adolfo Jayme 2014-12-09 04:43:39 UTC
Perhaps the fix is not complicated: both the RGB and HSB groups of radio buttons need to be in the same group.
Comment 5 Yousuf Philips (jay) (retired) 2014-12-09 10:14:14 UTC
Created attachment 110617 [details]
color picker from 4.3

(In reply to Adolfo Jayme from comment #4)
> Perhaps the fix is not complicated: both the RGB and HSB groups of radio
> buttons need to be in the same group.

Yes i believe that must be the issue. I'm assuming this regression must have happened when the dialog was converted over to the new format.
Comment 6 Matthew Francis 2014-12-29 06:45:51 UTC
Adding Whiteboard:bibisectRequest - although as mentioned above it's pretty clear how this must have happened, identifying the exact commit may allow it to be passed to the original committer
Comment 7 Adolfo Jayme 2014-12-29 20:40:30 UTC
Submitted a fix in Gerrit: https://gerrit.libreoffice.org/13691
Comment 8 Commit Notification 2014-12-29 21:16:42 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=12496548474d5361c034eba0ecb382a375b02769

fdo#86592 Fix radio button’s groups

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-12-29 23:07:07 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f693715fb18bae97b6285126923b78369a6b112d&h=libreoffice-4-4

fdo#86592 Fix radio button’s groups (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.